#!/bin/sh

PYTHONPATH=${PYTHONPATH}:${HOME}/Dev/python/libs
PYTHONPATH=${PYTHONPATH}:/local/lib/python3.4
PYTHONPATH=${PYTHONPATH}:/usr/local/lib/python3.4

MYSOFT_PATH=$HOME/.softwares

if [ -e "$MYSOFT_PATH" ]; then
    PATH=${PATH}:${MYSOFT_PATH}/bin

    HAS_GUROBI=$(ls ${MYSOFT_PATH} | grep "gurobi")
    if [ ! -z "${HAS_GUROBI}" ]; then
        GUROBI_PATH=$(ls -d $HOME/.softwares/gurobi*/linux64)
        LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${GUROBI_PATH}/lib
        PATH=${PATH}:${GUROBI_PATH}/bin
        PYTHONPATH=${PYTHONPATH}:${GUROBI_PATH}/lib/python3.4_utf32
        export GRB_LICENSE_FILE=${GUROBI_PATH}/gurobi.lic
    fi

fi

PYTHONPATH=${PYTHONPATH}:${MYSOFT_PATH}/pythonlibs

export PATH
export LD_LIBRARY_PATH
export PYTHONPATH
